%define _enable_debug_packages %{nil}
%define debug_package          %{nil}

%define src_ver 1.0

%define languageenglazy Sardinian
%define languagecode sc
%define lc_ctype sc_IT

Summary:       %{languageenglazy} files for aspell
Name:          aspell-%{languagecode}
Version:       1.0
Release:       %mkrel 2
Group:         System/Internationalization
License:       GPLv2
URL:           http://aspell.net/
Source:        https://ftp.gnu.org/gnu/aspell/dict/%{languagecode}/aspell5-%{languagecode}-%{src_ver}.tar.bz2

Provides: spell-%{languagecode}


BuildRequires: aspell >= 0.50
BuildRequires: make
Requires:      aspell >= 0.50

# Mageia Stuff
Requires:      locales-%{languagecode}
Provides:      aspell-dictionary
Provides:      aspell-%{lc_ctype}

AutoReqProv:   no

%description
A %{languageenglazy} dictionary for use with aspell, a spelling checker.

%prep
%setup -q -n aspell5-%{languagecode}-%{src_ver}

%build

# don't use configure macro
./configure

%make_build

%install
%make_install

chmod 644 Copyright README* doc/*

%files
%doc README* Copyright doc/*
%{_libdir}/aspell-*/*


%changelog
* Tue Jul 01 2025 umeabot <umeabot> 1.0-2.mga10
+ Revision: 2232946
- Mageia 10 Mass Rebuild

* Fri Dec 27 2024 daviddavid <daviddavid> 1.0-1.mga10
+ Revision: 2130386
- new version: 1.0

* Mon Mar 14 2022 umeabot <umeabot> 0.50.1-19.mga9
+ Revision: 1791376
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 0.50.1-18.mga8
+ Revision: 1510398
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Fri Sep 21 2018 umeabot <umeabot> 0.50.1-17.mga7
+ Revision: 1294918
- Mageia 7 Mass Rebuild

* Fri Feb 05 2016 umeabot <umeabot> 0.50.1-16.mga6
+ Revision: 939327
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.50.1-15.mga5
+ Revision: 739443
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.50.1-14.mga5
+ Revision: 677981
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 0.50.1-13.mga4
+ Revision: 502781
- Mageia 4 Mass Rebuild

* Fri Jan 11 2013 umeabot <umeabot> 0.50.1-12.mga3
+ Revision: 346388
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Feb 16 2012 kamil <kamil> 0.50.1-11.mga2
+ Revision: 209475
- stop providing enchant-dictionary
- clean .spec a bit
+ dmorgan <dmorgan>
- Remove mandriva occurencies
+ ahmad <ahmad>
- imported package aspell-sc


* Tue Nov 30 2010 Oden Eriksson <oeriksson@mandriva.com> 0.50.1-10mdv2011.0
+ Revision: 603459
- rebuild

* Sun Mar 14 2010 Oden Eriksson <oeriksson@mandriva.com> 0.50.1-9mdv2010.1
+ Revision: 518960
- rebuild

* Sun Aug 09 2009 Oden Eriksson <oeriksson@mandriva.com> 0.50.1-8mdv2010.0
+ Revision: 413102
- rebuild

* Fri Mar 06 2009 Antoine Ginies <aginies@mandriva.com> 0.50.1-7mdv2009.1
+ Revision: 350113
- 2009.1 rebuild

* Mon Jun 16 2008 Thierry Vignaud <tv@mandriva.org> 0.50.1-6mdv2009.0
+ Revision: 220443
- rebuild

* Sun Mar 09 2008 Anssi Hannula <anssi@mandriva.org> 0.50.1-5mdv2008.1
+ Revision: 182642
- provide enchant-dictionary

  + Thierry Vignaud <tv@mandriva.org>
    - rebuild
    - kill re-definition of %%buildroot on Pixel's request
    - s/Mandrake/Mandriva/

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot


* Wed Feb 21 2007 Oden Eriksson <oeriksson@mandriva.com> 0.50.1-3mdv2007.0
+ Revision: 123361
- Import aspell-sc

* Wed Feb 21 2007 Oden Eriksson <oeriksson@mandriva.com> 0.50.1-3mdv2007.1
- use the mkrel macro
- disable debug packages

* Fri Dec 03 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.50.1-2mdk
- rebuild for new aspell

* Tue Jul 20 2004 Pablo Saratxaga <pablo@mandrakesoft.com> 0.50.1-1mdk
- first version for mandrake

